Orxonox: orxonox::Radar Class Reference

# orxonox::Radar Class Reference

`#include <src/orxonox/objects/Radar.h>`

Inheritance diagram for orxonox::Radar:

List of all members.

## Public Member Functions

RadarViewable::Shape | addObjectDescription (const std::string name)
const RadarViewable * | getFocus ()
void | listObjects () const
| Radar ()
virtual void | tick (float dt)
| Gets called every frame.
| ~Radar ()

## Static Public Member Functions

static void | cycleNavigationFocus ()
static Radar & | getInstance ()
static Radar * | getInstancePtr ()
static void | releaseNavigationFocus ()

## Private Member Functions

void | cycleFocus ()
| Radar (Radar &instance)
void | releaseFocus ()
void | updateFocus ()

## Private Attributes

RadarViewable * | focus_
ObjectListIterator< RadarViewable > | itFocus_
int | objectTypeCounter_
std::map< std::string, RadarViewable::Shape > | objectTypes_

## Static Private Attributes

static Radar * | instance_s

## Constructor & Destructor Documentation

orxonox::Radar::Radar | ( |  | ) |

References orxonox::RadarViewable::Dot, instance_s, objectTypes_, orxonox::RadarViewable::Square, and orxonox::RadarViewable::Triangle.

orxonox::Radar::~Radar | ( |  | ) |

References instance_s.

orxonox::Radar::Radar | ( | Radar & | instance | ) | `[private]`

## Member Function Documentation

RadarViewable::Shape orxonox::Radar::addObjectDescription | ( | const std::string | name | ) |

References objectTypes_, and orxonox::RadarViewable::Square.

Referenced by orxonox::RadarViewable::setRadarObjectDescription().

void orxonox::Radar::cycleFocus | ( |  | ) | `[private]`

References focus_, and itFocus_.

Referenced by cycleNavigationFocus().

void orxonox::Radar::cycleNavigationFocus | ( |  | ) | `[static]`

References cycleFocus(), and instance_s.

const RadarViewable * orxonox::Radar::getFocus | ( |  | ) |

References itFocus_.

Referenced by orxonox::HUDNavigation::tick().

Radar & orxonox::Radar::getInstance | ( |  | ) | `[static]`

References instance_s.

Referenced by orxonox::HUDNavigation::tick().

static Radar* orxonox::Radar::getInstancePtr | ( |  | ) | `[inline, static]`

Referenced by orxonox::RadarViewable::setRadarObjectDescription().

void orxonox::Radar::listObjects | ( |  | ) | const

References COUT.

void orxonox::Radar::releaseFocus | ( |  | ) | `[private]`

References focus_, and itFocus_.

Referenced by releaseNavigationFocus().

void orxonox::Radar::releaseNavigationFocus | ( |  | ) | `[static]`

References instance_s, and releaseFocus().

void orxonox::Radar::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References focus_, itFocus_, and SUPER.

void orxonox::Radar::updateFocus | ( |  | ) | `[private]`

## Member Data Documentation

RadarViewable* orxonox::Radar::focus_`[private]`

Referenced by cycleFocus(), releaseFocus(), and tick().

Radar* orxonox::Radar::instance_s`[static, private]`

Referenced by cycleNavigationFocus(), getInstance(), Radar(), releaseNavigationFocus(), and ~Radar().

ObjectListIterator<RadarViewable> orxonox::Radar::itFocus_`[private]`

Referenced by cycleFocus(), getFocus(), releaseFocus(), and tick().

int orxonox::Radar::objectTypeCounter_`[private]`

std::map<std::string, RadarViewable::Shape> orxonox::Radar::objectTypes_`[private]`

Referenced by addObjectDescription(), and Radar().

The documentation for this class was generated from the following files:

- src/orxonox/objects/Radar.h
- src/orxonox/objects/Radar.cc